# $Revision: 1.16 $, $Date: 2012/02/11 20:11:08 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress
Summary:	IO::Compress - Base Class for IO::Compress modules
Summary(pl.UTF-8):	IO::Compress - klasa bazowa dla modułów IO::Compress
Name:		perl-IO-Compress
Version:	2.048
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	88b2d2488f1d008f80e3a1d2fe86da5a
URL:		http://search.cpan.org/dist/IO-Compress/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Compress-Raw-Bzip2 >= %{version}
BuildRequires:	perl-Compress-Raw-Zlib >= %{version}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Pod
%endif
Provides:	perl-Compress-Zlib = %{version}
Obsoletes:	perl-Compress-Zlib < %{version}
Obsoletes:	perl-IO-Compress-Base < %{version}
Obsoletes:	perl-IO-Compress-Bzip2 < %{version}
Obsoletes:	perl-IO-Compress-Zlib < %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is not intended for direct use in application code. Its
sole purpose if to to be sub-classed by IO::Compress and
IO::Uncompress modules.

%description -l pl.UTF-8
Ten moduł nie jest przeznaczony do bezpośredniego użycia w
aplikacjach. Jedynym jego celem jest tworzenie podklas w modułach
IO::Compress i IO::Uncompress.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INST_LIB=blib/lib
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Compress/Zlib.pm
%{perl_vendorlib}/File/GlobMapper.pm
%dir %{perl_vendorlib}/IO/Compress
%{perl_vendorlib}/IO/Compress/*.pm
%dir %{perl_vendorlib}/IO/Compress/Adapter
%{perl_vendorlib}/IO/Compress/Adapter/*.pm
%dir %{perl_vendorlib}/IO/Compress/Base
%{perl_vendorlib}/IO/Compress/Base/Common.pm
%dir %{perl_vendorlib}/IO/Compress/Gzip
%{perl_vendorlib}/IO/Compress/Gzip/Constants.pm
%dir %{perl_vendorlib}/IO/Compress/Zip
%{perl_vendorlib}/IO/Compress/Zip/Constants.pm
%dir %{perl_vendorlib}/IO/Compress/Zlib
%{perl_vendorlib}/IO/Compress/Zlib/*.pm
%dir %{perl_vendorlib}/IO/Uncompress
%{perl_vendorlib}/IO/Uncompress/*.pm
%dir %{perl_vendorlib}/IO/Uncompress/Adapter
%{perl_vendorlib}/IO/Uncompress/Adapter/*.pm
%attr(755,root,root) %{_bindir}/zipdetails
%{_mandir}/man1/zipdetails.1p*
%{_mandir}/man3/Compress::Zlib.3pm*
%{_mandir}/man3/File::GlobMapper.3pm*
%{_mandir}/man3/IO::Compress*.3pm*
%{_mandir}/man3/IO::Uncompress*.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Compress.spec,v $
Revision 1.16  2012/02/11 20:11:08  zbyniu
- up to 2.048

Revision 1.15  2012/01/16 20:17:56  qboosh
- unified Source0 URL

Revision 1.14  2012/01/15 22:00:28  zbyniu
- up to 2.046

Revision 1.13  2011/03/05 21:17:05  qboosh
- updated to 2.033

Revision 1.12  2010/04/09 08:22:10  amateja
- updated to 2.026

Revision 1.11  2010/03/15 09:50:28  amateja
- updated to 2.024
- bumped up BRs perl(Compress::Raw::Bzip2) and perl(Compress::Raw::Zlib) to 2.024

Revision 1.10  2010/01/06 18:12:46  sparky
- rel 4

Revision 1.9  2010/01/06 17:55:20  sparky
- fixed build without tests
- tests BR: perl(Encode), perl-Test-Pod
- added Compress/Zlib/autosplit.ix, used by AutoLoader

Revision 1.8  2010/01/01 22:11:38  sparky
- versioned Provides, rel 3

Revision 1.7  2010/01/01 22:09:09  arekm
- release 2

Revision 1.6  2010/01/01 22:03:39  sparky
- P: perl-Compress-Zlib for compatibility

Revision 1.5  2009/11/20 12:34:51  amateja
- updated to 2.023

Revision 1.4  2009/11/20 11:31:44  amateja
- adapterized

Revision 1.3  2009/09/15 09:19:16  amateja
- added O: perl-Compress-Zlib
- release 2

Revision 1.2  2009/09/15 09:03:18  amateja
- fixed name

Revision 1.1  2009/09/15 09:01:58  amateja
- initial
